Overview
curl --request GET \
--url https://api.bizzy.ai/v1/lists \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 1357924680,
"name": "Example List One",
"type": "STATIC",
"columns": [
"activities",
"vatNumber",
"country",
"url",
"socials"
],
"shared": false,
"notifications": {
"enabled": true
},
"amountOfCompanies": 15,
"newResults": null,
"updatedAt": "2024-11-18T10:30:00.000Z",
"createdAt": "2024-10-20T08:45:00.000Z",
"createdBy": "jane.doe@example.com"
},
{
"id": 246813579,
"name": "Shared List",
"type": "SMART",
"columns": [
"description"
],
"shared": true,
"notifications": {
"enabled": false
},
"amountOfCompanies": 500,
"newResults": 25,
"updatedAt": "2024-11-19T12:00:00.000Z",
"createdAt": "2024-10-05T11:30:10.000Z",
"createdBy": "john.smith@example.com"
},
{
"id": 1123581321,
"name": "Static List A",
"type": "STATIC",
"columns": ["description"],
"shared": false,
"notifications": {
"enabled": false
},
"amountOfCompanies": 8,
"newResults": null,
"updatedAt": "2024-11-16T18:15:19.000Z",
"createdAt": "2024-09-25T14:10:00.000Z",
"createdBy": "alex.brown@example.com"
},
{
"id": 9988776655,
"name": "Updated AI Filters",
"type": "SMART",
"columns": [
"description"
],
"shared": false,
"notifications": {
"enabled": false
},
"amountOfCompanies": 120,
"newResults": 10,
"updatedAt": "2024-11-19T07:45:00.000Z",
"createdAt": "2024-10-10T10:20:10.000Z",
"createdBy": "lisa.white@example.com"
}
],
"pagination": {
"limit": 4,
"offset": 0,
"total": 50
}
}
Lists API
Overview
GET
/
v1
/
lists
Overview
curl --request GET \
--url https://api.bizzy.ai/v1/lists \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 1357924680,
"name": "Example List One",
"type": "STATIC",
"columns": [
"activities",
"vatNumber",
"country",
"url",
"socials"
],
"shared": false,
"notifications": {
"enabled": true
},
"amountOfCompanies": 15,
"newResults": null,
"updatedAt": "2024-11-18T10:30:00.000Z",
"createdAt": "2024-10-20T08:45:00.000Z",
"createdBy": "jane.doe@example.com"
},
{
"id": 246813579,
"name": "Shared List",
"type": "SMART",
"columns": [
"description"
],
"shared": true,
"notifications": {
"enabled": false
},
"amountOfCompanies": 500,
"newResults": 25,
"updatedAt": "2024-11-19T12:00:00.000Z",
"createdAt": "2024-10-05T11:30:10.000Z",
"createdBy": "john.smith@example.com"
},
{
"id": 1123581321,
"name": "Static List A",
"type": "STATIC",
"columns": ["description"],
"shared": false,
"notifications": {
"enabled": false
},
"amountOfCompanies": 8,
"newResults": null,
"updatedAt": "2024-11-16T18:15:19.000Z",
"createdAt": "2024-09-25T14:10:00.000Z",
"createdBy": "alex.brown@example.com"
},
{
"id": 9988776655,
"name": "Updated AI Filters",
"type": "SMART",
"columns": [
"description"
],
"shared": false,
"notifications": {
"enabled": false
},
"amountOfCompanies": 120,
"newResults": 10,
"updatedAt": "2024-11-19T07:45:00.000Z",
"createdAt": "2024-10-10T10:20:10.000Z",
"createdBy": "lisa.white@example.com"
}
],
"pagination": {
"limit": 4,
"offset": 0,
"total": 50
}
}
Documentation Index
Fetch the complete documentation index at: https://docs.bizzy.ai/llms.txt
Use this file to discover all available pages before exploring further.
Request
Query
List type to fetch - type can be either
STATIC, SMART or OVERVIEW which will return both static and smart listsNumber of items to return per page. (max 500)
Number of items to skip
Response
The following fields can have a set of values:type can be either
STATIC or SMARTFor smart lists, it returns a number indicating the count of new results based on the applied filters.
For static lists, it is always set to
For static lists, it is always set to
null.Notifications can only be enabled for static lists at this time.
{
"data": [
{
"id": 1357924680,
"name": "Example List One",
"type": "STATIC",
"columns": [
"activities",
"vatNumber",
"country",
"url",
"socials"
],
"shared": false,
"notifications": {
"enabled": true
},
"amountOfCompanies": 15,
"newResults": null,
"updatedAt": "2024-11-18T10:30:00.000Z",
"createdAt": "2024-10-20T08:45:00.000Z",
"createdBy": "jane.doe@example.com"
},
{
"id": 246813579,
"name": "Shared List",
"type": "SMART",
"columns": [
"description"
],
"shared": true,
"notifications": {
"enabled": false
},
"amountOfCompanies": 500,
"newResults": 25,
"updatedAt": "2024-11-19T12:00:00.000Z",
"createdAt": "2024-10-05T11:30:10.000Z",
"createdBy": "john.smith@example.com"
},
{
"id": 1123581321,
"name": "Static List A",
"type": "STATIC",
"columns": ["description"],
"shared": false,
"notifications": {
"enabled": false
},
"amountOfCompanies": 8,
"newResults": null,
"updatedAt": "2024-11-16T18:15:19.000Z",
"createdAt": "2024-09-25T14:10:00.000Z",
"createdBy": "alex.brown@example.com"
},
{
"id": 9988776655,
"name": "Updated AI Filters",
"type": "SMART",
"columns": [
"description"
],
"shared": false,
"notifications": {
"enabled": false
},
"amountOfCompanies": 120,
"newResults": 10,
"updatedAt": "2024-11-19T07:45:00.000Z",
"createdAt": "2024-10-10T10:20:10.000Z",
"createdBy": "lisa.white@example.com"
}
],
"pagination": {
"limit": 4,
"offset": 0,
"total": 50
}
}
Was this page helpful?
⌘I